﻿<?php
/*
** Application name: Project Management
** Last Edit page: 2006-03-18 
** Path by root: ../general/systemrequirements.php
** Author: Daniel Denev
**
** =============================================================================
**
**                          Project Managment 
**
** -----------------------------------------------------------------------------
** Please refer to license, copyright, and credits in README.TXT
**
** -----------------------------------------------------------------------------
** FILE: systemrequirements.php
**
** DESC: Screen: show system requirements and features
**
** HISTORY:
**	2006-03-17	-	added features paragraph
** 	2006-03-18	-	added new document info
** -----------------------------------------------------------------------------
** TO-DO:
** 
**
** =============================================================================
*/

$checkSession = "false";
include_once('../includes/library.php');

$notLogged = "true";
include('../themes/'.THEME.'/header.php');

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs("&nbsp;");
$blockPage->closeBreadcrumbs();

$block1 = new block();
$block1->heading("Project Management : ".$strings["requirements"]);

$block1->openContent();
$block1->contentTitle($strings["requirements"]);

$block1->contentRow("Windows","- Internet Explorer 5.x, 6.x<br/>- Netscape 6.x");
$block1->contentRow("Macintosh","- Internet Explorer 5.x");
$block1->contentRow("Linux","- Mozilla<br/>- Galeon");

$block1->closeContent();

// 21/06/2003 kiles & mashbe

$block2 = new block();
$block2->heading("Project Management : Бърз старт");

$block2->openContent();
$block2->contentTitle("Въведение");

$block2->contentRow("1-","Project Management е система за управление на проекти. Тя включва два интерфейса:");
$block2->contentRow("a","Потребителски, включващ администратора, студентите, преподавателите, консултантите, и т.н.");
$block2->contentRow("b","Клиентски.");
$block2->contentRow("2-","Всичко се управлява от една страница за вход.");
$block2->contentRow("a","Ако клиент поиска да получи вход клиентът се препраща към клиентския интерфейс динамично.");
$block2->contentRow("b","Ако член на екипа поиска вход, то тогава той бива препратен към потребителския интерфейс.");

$block2->contentTitle("Потребителска функционалност");
$block2->contentRow("1-","В рамките на всеки проект имате следните възможности:");
$block2->contentRow("a","Преглед на проект");
$block2->contentRow("b","Фази на проект (допълнително)");
$block2->contentRow("c","Задачи и Под-Задачи");
$block2->contentRow("d","Дискусии по задачите");
$block2->contentRow("e","Членове на екип");
$block2->contentRow("f","Привързано съдържание (качени файлове)");
$block2->contentRow("g","Водене на бележки");
$block2->contentRow("2-","Глобална функционалност:");
$block2->contentRow("a","Отчети");
$block2->contentRow("b","Календар");
$block2->contentRow("c","Търсене");
$block2->contentRow("d","Отбелязване и маркери");
$block2->contentRow("3-","Едно много важно свойство е <b>Началната </b> страница. Тази страница извлича всичките свързани с даден потребител теми и ги визуализира на едно място. Всъщност това е първата страница която потребителя вижда при влизането в системата. По този начин потребителите виждат много лесно по кои задачи се работи и към кои проекти принадлежат те.");

$block2->contentTitle("Клиентска функционалност");
$block2->contentRow("1-","Интерфейсът е добър, което предлага лесна комуникация с вашите възложители и членовете на екипа ви.");
$block2->contentRow("a","Важно е да запомните, че е необходимо да <b>публикувате</b> всяка спомената тема поредно за да могат възложителите да я виждат.");
$block2->contentRow("b","При всяка ситуация имате пълен контрол над проекта си.");
$block2->contentRow("2-","Първият път когато възложители влязат в Project Management се озовават на  <b>Началната</b> страница която показва всички създадени до момента за тях проекти. След като възложителят избере проект той има следните алтернативи:");
$block2->contentRow("a","Екип по проекта - списък потребители назначени към дадени задачи от проекта или към даден проект.");
$block2->contentRow("b","Задачи на екипа - предоставят се всички задачи назначени на екипа работещ по проекта");
$block2->contentRow("c","Клиентски задачи - всички задачи назначени на клиента");
$block2->contentRow("d","Списък документи - списък с всички качени в  <b>Привързано съдържание</b>");
$block2->contentRow("e","Бюлетини - интерфейси със секция за <b>Дискусия</b> намираща се в потребителския интерфейс");
$block2->contentRow("f","Поддръжка - клиентът/възложителят може да изпраща задача като заявка за поддръжка на даден екип студенти и преподаватели");

$block2->contentTitle("Публикуване");
$block2->contentRow("1-","По подразбиране, клиента-възложител няма да може да вижда всичко!");
$block2->contentRow("a","Във всеки един момент в рамките на проекта за вас е налична опцията <b>публикуване</b> на теми, такива като задачи, привързано съдържание, членове на екипа и т.н. Веднъж публикувани, вашите ръководители, преподаватели или възложители ще могат да разглеждат тези теми.");
$block2->contentRow("b","Също така за вас е достъпна опцията <b>премахване на публикуваното</b>.");

$block2->contentTitle("Какво все още не може да правите в Project Management");
$block2->contentRow("1-","Програмата е добра,  НО...");
$block2->contentRow("a","Project Management не може да публикува вашия сайт. Project Management управлява вашите проекти, НЕ вашия web-сайт.");
$block2->closeContent(); 

include('../themes/'.THEME.'/footer.php');
?>