﻿// ** I18N

// Calendar EN language
// Author: Daniel Denev, <daniel_i_denev@abv.bg>
// Encoding: any


// Please use UTF-8 if possible.  We strongly believe that
// Unicode is the answer to a real internationalized world.  Also please
// include your contact information in the header, as can be seen above.

// full day names
Calendar._DN = new Array
("Неделя",
 "Понеделник",
 "Вторник",
 "Сряда",
 "Четвъртък",
 "Петък",
 "Събота",
 "Неделя");

// Please note that the following array of short day names (and the same goes
// for short month names, _SMN) isn't absolutely necessary.  We give it here
// for exemplification on how one can customize the short day names, but if
// they are simply the first N letters of the full name you can simply say:
//
//   Calendar._SDN_len = N; // short day name length
//   Calendar._SMN_len = N; // short month name length
//
// If N = 3 then this is not needed either since we assume a value of 3 if not
// present, to be compatible with translation files that were written before
// this feature.

// short day names
Calendar._SDN = new Array
("Нед",
 "Пон",
 "Вт",
 "Ср",
 "Четв",
 "Пет",
 "Съб",
 "Нед");

// full month names
Calendar._MN = new Array
("Януари",
 "Февруари",
 "Март",
 "Април",
 "Май",
 "Юни",
 "Юли",
 "Август",
 "Септември",
 "Октомври",
 "Ноември",
 "Декември");

// short month names
Calendar._SMN = new Array
("Ян",
 "Фев",
 "Мар",
 "Апр",
 "Май",
 "Юн",
 "Юл",
 "Авг",
 "Сеп",
 "Окт",
 "Ноемв",
 "Дек");

// tooltips
Calendar._TT = {};
Calendar._TT["INFO"] = "За календара";

Calendar._TT["ABOUT"] =
"DHTML селектор Дата/Час\n" +
"(c) www.intelektibg 2006\n" + 
"For latest version visit: www.intelektibg." +
"\n\n" +
"Избиране на дата:\n" +
"- Използвайте \xab, \xbb бутони, за да изберете година\n" +
"- Използвайте " + String.fromCharCode(0x2039) + ", " + String.fromCharCode(0x203a) + " бутони, за да изберете месец\n" +
"- За по-бързо избиране задръжте бутона на мишката върху горните бутони.";
Calendar._TT["ABOUT_TIME"] = "\n\n" +
"Избор на време:\n" +
"- Щракнете на интервалите време, за да ги увеличите\n" +
"- или направете Shift-click за да ги намалите\n" +
"- или за по-бързо избиране щракнете и влачете.";

Calendar._TT["PREV_YEAR"] = "Предна година (за меню задръжте)";
Calendar._TT["PREV_MONTH"] = "Предишен месец (за меню задръжте)";
Calendar._TT["GO_TODAY"] = "Днес";
Calendar._TT["NEXT_MONTH"] = "Следващ месец (за меню задръжте)";
Calendar._TT["NEXT_YEAR"] = "Следваща година (за меню задръжте)";
Calendar._TT["SEL_DATE"] = "Изберете дата";
Calendar._TT["DRAG_TO_MOVE"] = "Местене с влачене";
Calendar._TT["PART_TODAY"] = " (today)";

// the following is to inform that "%s" is to be the first day of week
// %s will be replaced with the day name.
Calendar._TT["DAY_FIRST"] = "Първо покажи %s ";

// This may be locale-dependent.  It specifies the week-end days, as an array
// of comma-separated numbers.  The numbers are from 0 to 6: 0 means Sunday, 1
// means Monday, etc.
Calendar._TT["WEEKEND"] = "0,6";

Calendar._TT["CLOSE"] = "Затваряне";
Calendar._TT["TODAY"] = "Днес";
Calendar._TT["TIME_PART"] = "За да промените стойността направете Shift-Click или местене с влачене";

// date formats
Calendar._TT["DEF_DATE_FORMAT"] = "%d-%m-%Y";
Calendar._TT["TT_DATE_FORMAT"] = "%a, %b %e";

Calendar._TT["WK"] = "седм.";
Calendar._TT["TIME"] = "Време:";
